aboutsummaryrefslogtreecommitdiffstats
path: root/tmux
diff options
context:
space:
mode:
Diffstat (limited to 'tmux')
-rwxr-xr-xtmux/date.sh19
-rwxr-xr-xtmux/vcs_info.sh12
2 files changed, 18 insertions, 13 deletions
diff --git a/tmux/date.sh b/tmux/date.sh
index 42044a4..9406561 100755
--- a/tmux/date.sh
+++ b/tmux/date.sh
@@ -5,21 +5,26 @@ SEPARATOR_LEFT_BOLD=""
SEPARATOR_LEFT_THIN=""
RESULT=$(date +"%a %D %H:%M")
-PROXY="proxychains4 -f /home/devi/proxies/ca/proxychains.conf"
+#PROXY="proxychains4 -f /home/devi/proxies/ca/proxychains.conf"
-DAY="#[fg=colour255 bg=colour31]"$(echo $RESULT | gawk '{print $1}')
-DATE="#[fg=colour255 bg=colour31]"$(echo $RESULT | gawk '{print $2}')
-TIME="#[fg=colour255 bg=colour31]"$(echo $RESULT | gawk '{print $3}')
+DAY="#[fg=colour255 bg=colour31]"$(echo "$RESULT" | gawk '{print $1}')
+DATE="#[fg=colour255 bg=colour31]"$(echo "$RESULT" | gawk '{print $2}')
+TIME="#[fg=colour255 bg=colour31]"$(echo "$RESULT" | gawk '{print $3}')
UTC_TIME_RESULT=$(date -u +"%H:%M")
-UTC_TIME="#[fg=colour255 bg=colour25]"$(echo $UTC_TIME_RESULT)
+UTC_TIME="#[fg=colour255 bg=colour25]"$UTC_TIME_RESULT
JDATE="#[fg=colour255 bg=colour29]"$(jdate | gawk '{print $2" "$3}')
# OPENWEATHERMAP_TOKEN=$(cat /home/devi/scripts/tmux/openweathermap.json|jq -r ".token")
# WEATHER_INFO=$(sleep 120 && torsocks curl "https://api.openweathermap.org/data/2.5/weather?q=Tehran&appid=$OPENWEATHERMAP_TOKEN&units=metric"|jq ".main.temp")
WEATHER_INFO=$(curl 'wttr.in/tehran?T&format=%f')
-WEATHER="#[fg=colour255 bg=colour32]"$(echo $WEATHER_INFO)
+echo "$WEATHER_INFO" | grep Unknown\ location;
+if [ ! $? ]; then
+ WEATHER="#[fg=colour255 bg=colour32]"err
+else
+ WEATHER="#[fg=colour255 bg=colour32]"$WEATHER_INFO
+fi
CPU_TEMP=$(sensors | grep temp1 | head -n 1 | awk '{print $2}')
CPU_SECTION="#[fg=colour36 bg=colour16]$SEPARATOR_LEFT_BOLD#[fg=colour16 bg=colour36]$CPU_TEMP"
-BATTERY=$(upower -i $(upower -e | grep 'BAT') | grep -E "percentage" | awk '{print $2}')
+BATTERY=$(upower -i "$(upower -e | grep 'BAT')" | grep -E "percentage" | awk '{print $2}')
echo "$CPU_SECTION#[fg=colour32 bg=colour36]\
$SEPARATOR_LEFT_BOLD$WEATHER#[fg=colour29 bg=colour32]\
diff --git a/tmux/vcs_info.sh b/tmux/vcs_info.sh
index 5764e61..f6405a3 100755
--- a/tmux/vcs_info.sh
+++ b/tmux/vcs_info.sh
@@ -2,23 +2,23 @@
source common.sh
SEPARATOR_RIGHT_BOLD=""
-SEPARATOR_RIGHT_THIN=""
+# SEPARATOR_RIGHT_THIN=""
-MIN_MAJOR_VERSION="2"
-MIN_MINOR_VERSION="1"
-TMUX_VERSION="$(tmux -V)"
+# MIN_MAJOR_VERSION="2"
+# MIN_MINOR_VERSION="1"
+# TMUX_VERSION="$(tmux -V)"
get_tmux_cwd() {
tmux display -p -F "#{pane_current_path}"
}
tmux_path=$(get_tmux_cwd)
-cd $tmux_path
+cd "$tmux_path"
IFS='/' read -ra tmux_path_array <<< "$tmux_path"
pos=$(( ${#tmux_path_array[*]} - 1 ))
last=${tmux_path_array[$pos]}
for i in "${tmux_path_array[@]}"
do
- if [[ $i == $last ]]; then
+ if [[ $i == "$last" ]]; then
shortened_path+=$i
else
shortened_path+=${i:0:1}/